Get current project
Resolve the project for the requested location.
GET
/api/project/currentQuery parameters
locationobject | anyResponses
200Project.Current
idstringrequireddirectorystringrequired400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/project/current"const response = await fetch("/api/project/current", {
method: "GET"
});import requests
response = requests.get(
"/api/project/current",
)Response
{
"id": "string",
"directory": "string"
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}